Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Macros | Typedefs | Variables
invoke.hpp File Reference

## Classes
struct | ranges::invoke_fn
struct | ranges::invoke_result< Fun, Args >

## Macros
#define | RANGES_CONSTEXPR_INVOKE 1

## Typedefs
template<typename Fun , typename... Args>
using | ranges::invoke_result_t = decltype(invoke(std::declval< Fun >(), std::declval< Args >()...))
template<typename T >
using | ranges::is_reference_wrapper = meta::bool_< is_reference_wrapper_v< T > >
template<typename T >
using | ranges::is_reference_wrapper_t = meta::_t< is_reference_wrapper< T > >

## Variables
constexpr invoke_fn | ranges::invoke {}
template<typename Fn , typename... Args>
constexpr bool | ranges::is_invocable_v
template<typename Fn , typename... Args>
constexpr bool | ranges::is_nothrow_invocable_v
template<class T >
constexpr bool | ranges::is_reference_wrapper_v